Jump to content
LaunchBox Community Forums

Game wont load. Mame says..Error unknown option: -keyboardprovider


Recommended Posts

Posted (edited)

Hi!

I upgraded my 5 year old bigbox to latest beta.   

I changed theme to vertigo.

Now when trying to runt a mame game i get following error and no game loads.

Error unknown option: -keyboardprovider

Looks like there is some setting i need to turn of. Anyone know were this setting is?

 

Thanks in advance!

 

 

mm.jpg

Edited by mange181
Link to comment
Share on other sites

1 minute ago, mange181 said:

Hi!

I upgraded my 5 year old bigbox to latest beta.   

I changed theme to vertigo.

Now when trying to runt a mame game i get following error and no game loads.

Error unknown option: -keyboardprovider

Looks like there is some setting i need to turn of. Anyone know were this setting is?

 

Thanks in advance!

 

 

Try replacing your mame default options with this instead, and see if it works
-keyboardprovider dinput -skip_gameinfo -nowindow

Link to comment
Share on other sites

Posted (edited)
9 minutes ago, mange181 said:

Perfect thanks! ill check it out later today. 

Where is this setting? in bigbox or launchbox? 

in launchbox, "tools" - "manage emulators"

also, if you haven't changed your mame files in the past 5 years, you may want to update that as well since there's been a lot of changes since then

Edited by bundangdon
  • Thanks 1
Link to comment
Share on other sites

Sounds like you are using a very old version of MAME, you will need to completely remove the keyboard part of the command line via Tools/Manage Emulators/MAME that command is needed for pause screens with MAME, but is not a command old versions of MAME understand.

Link to comment
Share on other sites

My Mame is old no doubt about it :)  Thanks for info. ill let you all know if this will fix it.  Maybe ill look into updateing Mame. But my experience tells me that it will create compability issues with games. Or is Mame better at this nowadays? last time i build a cab were 5 years ago so stuff might have changed for the better :)

Link to comment
Share on other sites

Just now, mange181 said:

But my experience tells me that it will create compability issues with games.

Your romset version needs to match the emulator version for correct compatibility If you are happy with what you have then stick with it, just remove that command and it will work just fine. if you choose to update the emulator you need to download the matching romset also.. 

  • Thanks 1
Link to comment
Share on other sites

1 hour ago, mange181 said:

My Mame is old no doubt about it :)  Thanks for info. ill let you all know if this will fix it.  Maybe ill look into updateing Mame. But my experience tells me that it will create compability issues with games. Or is Mame better at this nowadays? last time i build a cab were 5 years ago so stuff might have changed for the better :)

Yep, you have two choices: stick with the older mame and remove that "-keyboardprovider" from the default command line parameters, or update to the latest mame, but you'll probably have to find the latest set of mame roms. To answer your question, "newer is better" certainly does apply here, but I wouldn't be able to go into any specifics and if you're content with your current/original setup, then I'd stick with the older version of mame

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...